Description

As suggested by Andrei Costache | tried to use the new version of Jasper Plugin which includes support for styles.

I modified my ".jrxml' file and added the line
<template><![CDATA[com.servoy.plugins.jasperreports.JasperReportsResourcel oader.loadStyle("databridge.jrtx")]]></template>
This are the paths defined on Servoy Server Admin Page:

directories.jasper.extra: /home/report/SY/styles/,/home/report/SY/images/

directory.jasper.report: /home/report/

(‘'databridge.jrtx" is on the the folder /home/report/SY/styles/ and ".jrxml' file is in a subdirectory under ''home/report/").

When i tried to compile report on my developer it returns an error. This is the command line:
plugins.jasperPluginRMI.compileReport('avviso_arrivo_merce_a.jrxml’);

the error returned is attached as 'al.jpg'.

Otherwise, if | add a style reference and select my 'databridge.jrix' it seems to work (it leaves me to compile report). | move file on
server under the right directory but if | try to print via client it returns another error.

As told by Andrei | also tried to call directly the not-compiled file (".jrxml') but it returns the same error which is returned if i try to
compile it in my developer.

| hope that u can help me as soon as possible so | can implement styles in my reports (I use a lot of them and this will be a very
useful feature!)

Write me if u need some other explanations (sceresini@databridge.it).
Best regards

Luca

History

#1 - 09/12/2013 09:58 AM - Luca Sceresini
- File a1.jpg added

- File avviso_arrivo_merce_a.jrxml added

#2 - 11/06/2013 07:16 PM - Andrei Costache

Hi,

Could you try using the latest version of the plugin (4.x) along with a newer version of Servoy (6.x or 7.x)?

Regards,
Andrei

#3 - 11/13/2013 09:19 AM - Luca Sceresini

No Andrei, actually we can't move from 5.3 to 6.x or 7.x (so we can't use the latest version of the plugin).
Have you discovered something about bug that | described above?

Thanks, Luca

#4 - 11/29/2013 10:21 PM - Andrei Costache

Hi Luca,

Not much updates yet, unfortunately, except what we have discussed. But it will be looked at deeper.

Regards,
Andrei
#5 - 02/15/2014 11:37 PM - Andrei Costache
Hi Luca,

Just wanted to check if you are still experiencing this or not.
Also, for a short recap, | think you are already using styles as documented

https://www.servoyforge.net/projects/servoy-jasperreports/wiki/Foundset_Based Reports Guidelines.

We will be looking into this in the following weeks.

Regards,
Andrei

#6 - 02/22/2014 07:34 PM - Andrei Costache
- Status changed from New to In Progress

- Assignee set to Andrei Costache

#7 - 03/03/2014 09:30 PM - Andrei Costache
- File StyleTemplate1.jrtx added

- File customers_svy52.jrxml added

Hi Luca,

| have tested and looked into the style functionality and this all works fine, from my side.
My testing scenario is Servoy 5.2.17 and the Jasper plugin version 3.3.2 (as available on site).
| have used the following functions: compileReport, runReport. | have exported to 'view', 'pdf' format. | have compiled the report with and without

specifying compiled report file destination parameter.

| am uploading my own jrxml and jrtx (template) files, the ones | used to test. Please have a look. Also do note, these are just small tests, but which

show how the styling functionality should work.
If you have any questions, please reopen the case providing feedback.

Hope this helps.

Regards,
Andrei

#8 - 03/03/2014 09:30 PM - Andrei Costache

- Status changed from In Progress to Resolved

Files

al.jpg 171 KB 09/12/2013 Luca Sceresini

avviso_arrivo_merce_a.jrxml 33.1 KB 09/12/2013 Luca Sceresini

StyleTemplate1.jrix 418 Bytes 03/03/2014 Andrei Costache

customers_svy52.jrxml 1.81 KB 03/03/2014 Andrei Costache
05/20/2024 2/2


https://www.servoyforge.net/projects/servoy-jasperreports/wiki/Foundset_Based_Reports_Guidelines
http://www.tcpdf.org

